altcp_alloc.c File Reference
`#include "lwip/opt.h"`
`#include "lwip/altcp.h"`
`#include "lwip/altcp_tcp.h"`
`#include "lwip/altcp_tls.h"`
`#include "lwip/priv/altcp_priv.h"`
`#include "lwip/mem.h"`
`#include <string.h>`

## Functions

struct altcp_pcb * | altcp_tls_new (struct altcp_tls_config *config, u8_t ip_type)
struct altcp_pcb * | altcp_tls_alloc (void *arg, u8_t ip_type)

## Detailed Description

Application layered TCP connection API (to be used from TCPIP thread)
This interface mimics the tcp callback API to the application while preventing direct linking (much like virtual functions). This way, an application can make use of other application layer protocols on top of TCP without knowing the details (e.g. TLS, proxy connection).

This file contains allocation implementation that combine several layers.